Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network47.192.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
47.192.0.0
Broadcast address
47.255.255.255
First usable
47.192.0.1
Last usable
47.255.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 2FC00000 · Integer 801112064 to 805306367
Reverse DNS zones
192.47.in-addr.arpa
193.47.in-addr.arpa
194.47.in-addr.arpa
195.47.in-addr.arpa
196.47.in-addr.arpa
197.47.in-addr.arpa
198.47.in-addr.arpa
199.47.in-addr.arpa
200.47.in-addr.arpa
201.47.in-addr.arpa
202.47.in-addr.arpa
203.47.in-addr.arpa
204.47.in-addr.arpa
205.47.in-addr.arpa
206.47.in-addr.arpa
207.47.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101111.11000000.00000000.0000000047.192.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00101111.11000000.00000000.0000000047.192.0.0
Broadcast00101111.11111111.11111111.1111111147.255.255.255
Split into smaller subnets/19

47.192.0.0/10 makes 512 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
147.192.0.0/1947.192.0.1 to 47.192.31.25447.192.31.2558,190
247.192.32.0/1947.192.32.1 to 47.192.63.25447.192.63.2558,190
347.192.64.0/1947.192.64.1 to 47.192.95.25447.192.95.2558,190
447.192.96.0/1947.192.96.1 to 47.192.127.25447.192.127.2558,190
547.192.128.0/1947.192.128.1 to 47.192.159.25447.192.159.2558,190
647.192.160.0/1947.192.160.1 to 47.192.191.25447.192.191.2558,190
747.192.192.0/1947.192.192.1 to 47.192.223.25447.192.223.2558,190
847.192.224.0/1947.192.224.1 to 47.192.255.25447.192.255.2558,190
947.193.0.0/1947.193.0.1 to 47.193.31.25447.193.31.2558,190
1047.193.32.0/1947.193.32.1 to 47.193.63.25447.193.63.2558,190
1147.193.64.0/1947.193.64.1 to 47.193.95.25447.193.95.2558,190
1247.193.96.0/1947.193.96.1 to 47.193.127.25447.193.127.2558,190
1347.193.128.0/1947.193.128.1 to 47.193.159.25447.193.159.2558,190
1447.193.160.0/1947.193.160.1 to 47.193.191.25447.193.191.2558,190
1547.193.192.0/1947.193.192.1 to 47.193.223.25447.193.223.2558,190
1647.193.224.0/1947.193.224.1 to 47.193.255.25447.193.255.2558,190
1747.194.0.0/1947.194.0.1 to 47.194.31.25447.194.31.2558,190
1847.194.32.0/1947.194.32.1 to 47.194.63.25447.194.63.2558,190
1947.194.64.0/1947.194.64.1 to 47.194.95.25447.194.95.2558,190
2047.194.96.0/1947.194.96.1 to 47.194.127.25447.194.127.2558,190
2147.194.128.0/1947.194.128.1 to 47.194.159.25447.194.159.2558,190
2247.194.160.0/1947.194.160.1 to 47.194.191.25447.194.191.2558,190
2347.194.192.0/1947.194.192.1 to 47.194.223.25447.194.223.2558,190
2447.194.224.0/1947.194.224.1 to 47.194.255.25447.194.255.2558,190
2547.195.0.0/1947.195.0.1 to 47.195.31.25447.195.31.2558,190
2647.195.32.0/1947.195.32.1 to 47.195.63.25447.195.63.2558,190
2747.195.64.0/1947.195.64.1 to 47.195.95.25447.195.95.2558,190
2847.195.96.0/1947.195.96.1 to 47.195.127.25447.195.127.2558,190
2947.195.128.0/1947.195.128.1 to 47.195.159.25447.195.159.2558,190
3047.195.160.0/1947.195.160.1 to 47.195.191.25447.195.191.2558,190
3147.195.192.0/1947.195.192.1 to 47.195.223.25447.195.223.2558,190
3247.195.224.0/1947.195.224.1 to 47.195.255.25447.195.255.2558,190
3347.196.0.0/1947.196.0.1 to 47.196.31.25447.196.31.2558,190
3447.196.32.0/1947.196.32.1 to 47.196.63.25447.196.63.2558,190
3547.196.64.0/1947.196.64.1 to 47.196.95.25447.196.95.2558,190
3647.196.96.0/1947.196.96.1 to 47.196.127.25447.196.127.2558,190
3747.196.128.0/1947.196.128.1 to 47.196.159.25447.196.159.2558,190
3847.196.160.0/1947.196.160.1 to 47.196.191.25447.196.191.2558,190
3947.196.192.0/1947.196.192.1 to 47.196.223.25447.196.223.2558,190
4047.196.224.0/1947.196.224.1 to 47.196.255.25447.196.255.2558,190
4147.197.0.0/1947.197.0.1 to 47.197.31.25447.197.31.2558,190
4247.197.32.0/1947.197.32.1 to 47.197.63.25447.197.63.2558,190
4347.197.64.0/1947.197.64.1 to 47.197.95.25447.197.95.2558,190
4447.197.96.0/1947.197.96.1 to 47.197.127.25447.197.127.2558,190
4547.197.128.0/1947.197.128.1 to 47.197.159.25447.197.159.2558,190
4647.197.160.0/1947.197.160.1 to 47.197.191.25447.197.191.2558,190
4747.197.192.0/1947.197.192.1 to 47.197.223.25447.197.223.2558,190
4847.197.224.0/1947.197.224.1 to 47.197.255.25447.197.255.2558,190
4947.198.0.0/1947.198.0.1 to 47.198.31.25447.198.31.2558,190
5047.198.32.0/1947.198.32.1 to 47.198.63.25447.198.63.2558,190
5147.198.64.0/1947.198.64.1 to 47.198.95.25447.198.95.2558,190
5247.198.96.0/1947.198.96.1 to 47.198.127.25447.198.127.2558,190
5347.198.128.0/1947.198.128.1 to 47.198.159.25447.198.159.2558,190
5447.198.160.0/1947.198.160.1 to 47.198.191.25447.198.191.2558,190
5547.198.192.0/1947.198.192.1 to 47.198.223.25447.198.223.2558,190
5647.198.224.0/1947.198.224.1 to 47.198.255.25447.198.255.2558,190
5747.199.0.0/1947.199.0.1 to 47.199.31.25447.199.31.2558,190
5847.199.32.0/1947.199.32.1 to 47.199.63.25447.199.63.2558,190
5947.199.64.0/1947.199.64.1 to 47.199.95.25447.199.95.2558,190
6047.199.96.0/1947.199.96.1 to 47.199.127.25447.199.127.2558,190
6147.199.128.0/1947.199.128.1 to 47.199.159.25447.199.159.2558,190
6247.199.160.0/1947.199.160.1 to 47.199.191.25447.199.191.2558,190
6347.199.192.0/1947.199.192.1 to 47.199.223.25447.199.223.2558,190
6447.199.224.0/1947.199.224.1 to 47.199.255.25447.199.255.2558,190
6547.200.0.0/1947.200.0.1 to 47.200.31.25447.200.31.2558,190
6647.200.32.0/1947.200.32.1 to 47.200.63.25447.200.63.2558,190
6747.200.64.0/1947.200.64.1 to 47.200.95.25447.200.95.2558,190
6847.200.96.0/1947.200.96.1 to 47.200.127.25447.200.127.2558,190
6947.200.128.0/1947.200.128.1 to 47.200.159.25447.200.159.2558,190
7047.200.160.0/1947.200.160.1 to 47.200.191.25447.200.191.2558,190
7147.200.192.0/1947.200.192.1 to 47.200.223.25447.200.223.2558,190
7247.200.224.0/1947.200.224.1 to 47.200.255.25447.200.255.2558,190
7347.201.0.0/1947.201.0.1 to 47.201.31.25447.201.31.2558,190
7447.201.32.0/1947.201.32.1 to 47.201.63.25447.201.63.2558,190
7547.201.64.0/1947.201.64.1 to 47.201.95.25447.201.95.2558,190
7647.201.96.0/1947.201.96.1 to 47.201.127.25447.201.127.2558,190
7747.201.128.0/1947.201.128.1 to 47.201.159.25447.201.159.2558,190
7847.201.160.0/1947.201.160.1 to 47.201.191.25447.201.191.2558,190
7947.201.192.0/1947.201.192.1 to 47.201.223.25447.201.223.2558,190
8047.201.224.0/1947.201.224.1 to 47.201.255.25447.201.255.2558,190
8147.202.0.0/1947.202.0.1 to 47.202.31.25447.202.31.2558,190
8247.202.32.0/1947.202.32.1 to 47.202.63.25447.202.63.2558,190
8347.202.64.0/1947.202.64.1 to 47.202.95.25447.202.95.2558,190
8447.202.96.0/1947.202.96.1 to 47.202.127.25447.202.127.2558,190
8547.202.128.0/1947.202.128.1 to 47.202.159.25447.202.159.2558,190
8647.202.160.0/1947.202.160.1 to 47.202.191.25447.202.191.2558,190
8747.202.192.0/1947.202.192.1 to 47.202.223.25447.202.223.2558,190
8847.202.224.0/1947.202.224.1 to 47.202.255.25447.202.255.2558,190
8947.203.0.0/1947.203.0.1 to 47.203.31.25447.203.31.2558,190
9047.203.32.0/1947.203.32.1 to 47.203.63.25447.203.63.2558,190
9147.203.64.0/1947.203.64.1 to 47.203.95.25447.203.95.2558,190
9247.203.96.0/1947.203.96.1 to 47.203.127.25447.203.127.2558,190
9347.203.128.0/1947.203.128.1 to 47.203.159.25447.203.159.2558,190
9447.203.160.0/1947.203.160.1 to 47.203.191.25447.203.191.2558,190
9547.203.192.0/1947.203.192.1 to 47.203.223.25447.203.223.2558,190
9647.203.224.0/1947.203.224.1 to 47.203.255.25447.203.255.2558,190
9747.204.0.0/1947.204.0.1 to 47.204.31.25447.204.31.2558,190
9847.204.32.0/1947.204.32.1 to 47.204.63.25447.204.63.2558,190
9947.204.64.0/1947.204.64.1 to 47.204.95.25447.204.95.2558,190
10047.204.96.0/1947.204.96.1 to 47.204.127.25447.204.127.2558,190
10147.204.128.0/1947.204.128.1 to 47.204.159.25447.204.159.2558,190
10247.204.160.0/1947.204.160.1 to 47.204.191.25447.204.191.2558,190
10347.204.192.0/1947.204.192.1 to 47.204.223.25447.204.223.2558,190
10447.204.224.0/1947.204.224.1 to 47.204.255.25447.204.255.2558,190
10547.205.0.0/1947.205.0.1 to 47.205.31.25447.205.31.2558,190
10647.205.32.0/1947.205.32.1 to 47.205.63.25447.205.63.2558,190
10747.205.64.0/1947.205.64.1 to 47.205.95.25447.205.95.2558,190
10847.205.96.0/1947.205.96.1 to 47.205.127.25447.205.127.2558,190
10947.205.128.0/1947.205.128.1 to 47.205.159.25447.205.159.2558,190
11047.205.160.0/1947.205.160.1 to 47.205.191.25447.205.191.2558,190
11147.205.192.0/1947.205.192.1 to 47.205.223.25447.205.223.2558,190
11247.205.224.0/1947.205.224.1 to 47.205.255.25447.205.255.2558,190
11347.206.0.0/1947.206.0.1 to 47.206.31.25447.206.31.2558,190
11447.206.32.0/1947.206.32.1 to 47.206.63.25447.206.63.2558,190
11547.206.64.0/1947.206.64.1 to 47.206.95.25447.206.95.2558,190
11647.206.96.0/1947.206.96.1 to 47.206.127.25447.206.127.2558,190
11747.206.128.0/1947.206.128.1 to 47.206.159.25447.206.159.2558,190
11847.206.160.0/1947.206.160.1 to 47.206.191.25447.206.191.2558,190
11947.206.192.0/1947.206.192.1 to 47.206.223.25447.206.223.2558,190
12047.206.224.0/1947.206.224.1 to 47.206.255.25447.206.255.2558,190
12147.207.0.0/1947.207.0.1 to 47.207.31.25447.207.31.2558,190
12247.207.32.0/1947.207.32.1 to 47.207.63.25447.207.63.2558,190
12347.207.64.0/1947.207.64.1 to 47.207.95.25447.207.95.2558,190
12447.207.96.0/1947.207.96.1 to 47.207.127.25447.207.127.2558,190
12547.207.128.0/1947.207.128.1 to 47.207.159.25447.207.159.2558,190
12647.207.160.0/1947.207.160.1 to 47.207.191.25447.207.191.2558,190
12747.207.192.0/1947.207.192.1 to 47.207.223.25447.207.223.2558,190
12847.207.224.0/1947.207.224.1 to 47.207.255.25447.207.255.2558,190
12947.208.0.0/1947.208.0.1 to 47.208.31.25447.208.31.2558,190
13047.208.32.0/1947.208.32.1 to 47.208.63.25447.208.63.2558,190
13147.208.64.0/1947.208.64.1 to 47.208.95.25447.208.95.2558,190
13247.208.96.0/1947.208.96.1 to 47.208.127.25447.208.127.2558,190
13347.208.128.0/1947.208.128.1 to 47.208.159.25447.208.159.2558,190
13447.208.160.0/1947.208.160.1 to 47.208.191.25447.208.191.2558,190
13547.208.192.0/1947.208.192.1 to 47.208.223.25447.208.223.2558,190
13647.208.224.0/1947.208.224.1 to 47.208.255.25447.208.255.2558,190
13747.209.0.0/1947.209.0.1 to 47.209.31.25447.209.31.2558,190
13847.209.32.0/1947.209.32.1 to 47.209.63.25447.209.63.2558,190
13947.209.64.0/1947.209.64.1 to 47.209.95.25447.209.95.2558,190
14047.209.96.0/1947.209.96.1 to 47.209.127.25447.209.127.2558,190
14147.209.128.0/1947.209.128.1 to 47.209.159.25447.209.159.2558,190
14247.209.160.0/1947.209.160.1 to 47.209.191.25447.209.191.2558,190
14347.209.192.0/1947.209.192.1 to 47.209.223.25447.209.223.2558,190
14447.209.224.0/1947.209.224.1 to 47.209.255.25447.209.255.2558,190
14547.210.0.0/1947.210.0.1 to 47.210.31.25447.210.31.2558,190
14647.210.32.0/1947.210.32.1 to 47.210.63.25447.210.63.2558,190
14747.210.64.0/1947.210.64.1 to 47.210.95.25447.210.95.2558,190
14847.210.96.0/1947.210.96.1 to 47.210.127.25447.210.127.2558,190
14947.210.128.0/1947.210.128.1 to 47.210.159.25447.210.159.2558,190
15047.210.160.0/1947.210.160.1 to 47.210.191.25447.210.191.2558,190
15147.210.192.0/1947.210.192.1 to 47.210.223.25447.210.223.2558,190
15247.210.224.0/1947.210.224.1 to 47.210.255.25447.210.255.2558,190
15347.211.0.0/1947.211.0.1 to 47.211.31.25447.211.31.2558,190
15447.211.32.0/1947.211.32.1 to 47.211.63.25447.211.63.2558,190
15547.211.64.0/1947.211.64.1 to 47.211.95.25447.211.95.2558,190
15647.211.96.0/1947.211.96.1 to 47.211.127.25447.211.127.2558,190
15747.211.128.0/1947.211.128.1 to 47.211.159.25447.211.159.2558,190
15847.211.160.0/1947.211.160.1 to 47.211.191.25447.211.191.2558,190
15947.211.192.0/1947.211.192.1 to 47.211.223.25447.211.223.2558,190
16047.211.224.0/1947.211.224.1 to 47.211.255.25447.211.255.2558,190
16147.212.0.0/1947.212.0.1 to 47.212.31.25447.212.31.2558,190
16247.212.32.0/1947.212.32.1 to 47.212.63.25447.212.63.2558,190
16347.212.64.0/1947.212.64.1 to 47.212.95.25447.212.95.2558,190
16447.212.96.0/1947.212.96.1 to 47.212.127.25447.212.127.2558,190
16547.212.128.0/1947.212.128.1 to 47.212.159.25447.212.159.2558,190
16647.212.160.0/1947.212.160.1 to 47.212.191.25447.212.191.2558,190
16747.212.192.0/1947.212.192.1 to 47.212.223.25447.212.223.2558,190
16847.212.224.0/1947.212.224.1 to 47.212.255.25447.212.255.2558,190
16947.213.0.0/1947.213.0.1 to 47.213.31.25447.213.31.2558,190
17047.213.32.0/1947.213.32.1 to 47.213.63.25447.213.63.2558,190
17147.213.64.0/1947.213.64.1 to 47.213.95.25447.213.95.2558,190
17247.213.96.0/1947.213.96.1 to 47.213.127.25447.213.127.2558,190
17347.213.128.0/1947.213.128.1 to 47.213.159.25447.213.159.2558,190
17447.213.160.0/1947.213.160.1 to 47.213.191.25447.213.191.2558,190
17547.213.192.0/1947.213.192.1 to 47.213.223.25447.213.223.2558,190
17647.213.224.0/1947.213.224.1 to 47.213.255.25447.213.255.2558,190
17747.214.0.0/1947.214.0.1 to 47.214.31.25447.214.31.2558,190
17847.214.32.0/1947.214.32.1 to 47.214.63.25447.214.63.2558,190
17947.214.64.0/1947.214.64.1 to 47.214.95.25447.214.95.2558,190
18047.214.96.0/1947.214.96.1 to 47.214.127.25447.214.127.2558,190
18147.214.128.0/1947.214.128.1 to 47.214.159.25447.214.159.2558,190
18247.214.160.0/1947.214.160.1 to 47.214.191.25447.214.191.2558,190
18347.214.192.0/1947.214.192.1 to 47.214.223.25447.214.223.2558,190
18447.214.224.0/1947.214.224.1 to 47.214.255.25447.214.255.2558,190
18547.215.0.0/1947.215.0.1 to 47.215.31.25447.215.31.2558,190
18647.215.32.0/1947.215.32.1 to 47.215.63.25447.215.63.2558,190
18747.215.64.0/1947.215.64.1 to 47.215.95.25447.215.95.2558,190
18847.215.96.0/1947.215.96.1 to 47.215.127.25447.215.127.2558,190
18947.215.128.0/1947.215.128.1 to 47.215.159.25447.215.159.2558,190
19047.215.160.0/1947.215.160.1 to 47.215.191.25447.215.191.2558,190
19147.215.192.0/1947.215.192.1 to 47.215.223.25447.215.223.2558,190
19247.215.224.0/1947.215.224.1 to 47.215.255.25447.215.255.2558,190
19347.216.0.0/1947.216.0.1 to 47.216.31.25447.216.31.2558,190
19447.216.32.0/1947.216.32.1 to 47.216.63.25447.216.63.2558,190
19547.216.64.0/1947.216.64.1 to 47.216.95.25447.216.95.2558,190
19647.216.96.0/1947.216.96.1 to 47.216.127.25447.216.127.2558,190
19747.216.128.0/1947.216.128.1 to 47.216.159.25447.216.159.2558,190
19847.216.160.0/1947.216.160.1 to 47.216.191.25447.216.191.2558,190
19947.216.192.0/1947.216.192.1 to 47.216.223.25447.216.223.2558,190
20047.216.224.0/1947.216.224.1 to 47.216.255.25447.216.255.2558,190
20147.217.0.0/1947.217.0.1 to 47.217.31.25447.217.31.2558,190
20247.217.32.0/1947.217.32.1 to 47.217.63.25447.217.63.2558,190
20347.217.64.0/1947.217.64.1 to 47.217.95.25447.217.95.2558,190
20447.217.96.0/1947.217.96.1 to 47.217.127.25447.217.127.2558,190
20547.217.128.0/1947.217.128.1 to 47.217.159.25447.217.159.2558,190
20647.217.160.0/1947.217.160.1 to 47.217.191.25447.217.191.2558,190
20747.217.192.0/1947.217.192.1 to 47.217.223.25447.217.223.2558,190
20847.217.224.0/1947.217.224.1 to 47.217.255.25447.217.255.2558,190
20947.218.0.0/1947.218.0.1 to 47.218.31.25447.218.31.2558,190
21047.218.32.0/1947.218.32.1 to 47.218.63.25447.218.63.2558,190
21147.218.64.0/1947.218.64.1 to 47.218.95.25447.218.95.2558,190
21247.218.96.0/1947.218.96.1 to 47.218.127.25447.218.127.2558,190
21347.218.128.0/1947.218.128.1 to 47.218.159.25447.218.159.2558,190
21447.218.160.0/1947.218.160.1 to 47.218.191.25447.218.191.2558,190
21547.218.192.0/1947.218.192.1 to 47.218.223.25447.218.223.2558,190
21647.218.224.0/1947.218.224.1 to 47.218.255.25447.218.255.2558,190
21747.219.0.0/1947.219.0.1 to 47.219.31.25447.219.31.2558,190
21847.219.32.0/1947.219.32.1 to 47.219.63.25447.219.63.2558,190
21947.219.64.0/1947.219.64.1 to 47.219.95.25447.219.95.2558,190
22047.219.96.0/1947.219.96.1 to 47.219.127.25447.219.127.2558,190
22147.219.128.0/1947.219.128.1 to 47.219.159.25447.219.159.2558,190
22247.219.160.0/1947.219.160.1 to 47.219.191.25447.219.191.2558,190
22347.219.192.0/1947.219.192.1 to 47.219.223.25447.219.223.2558,190
22447.219.224.0/1947.219.224.1 to 47.219.255.25447.219.255.2558,190
22547.220.0.0/1947.220.0.1 to 47.220.31.25447.220.31.2558,190
22647.220.32.0/1947.220.32.1 to 47.220.63.25447.220.63.2558,190
22747.220.64.0/1947.220.64.1 to 47.220.95.25447.220.95.2558,190
22847.220.96.0/1947.220.96.1 to 47.220.127.25447.220.127.2558,190
22947.220.128.0/1947.220.128.1 to 47.220.159.25447.220.159.2558,190
23047.220.160.0/1947.220.160.1 to 47.220.191.25447.220.191.2558,190
23147.220.192.0/1947.220.192.1 to 47.220.223.25447.220.223.2558,190
23247.220.224.0/1947.220.224.1 to 47.220.255.25447.220.255.2558,190
23347.221.0.0/1947.221.0.1 to 47.221.31.25447.221.31.2558,190
23447.221.32.0/1947.221.32.1 to 47.221.63.25447.221.63.2558,190
23547.221.64.0/1947.221.64.1 to 47.221.95.25447.221.95.2558,190
23647.221.96.0/1947.221.96.1 to 47.221.127.25447.221.127.2558,190
23747.221.128.0/1947.221.128.1 to 47.221.159.25447.221.159.2558,190
23847.221.160.0/1947.221.160.1 to 47.221.191.25447.221.191.2558,190
23947.221.192.0/1947.221.192.1 to 47.221.223.25447.221.223.2558,190
24047.221.224.0/1947.221.224.1 to 47.221.255.25447.221.255.2558,190
24147.222.0.0/1947.222.0.1 to 47.222.31.25447.222.31.2558,190
24247.222.32.0/1947.222.32.1 to 47.222.63.25447.222.63.2558,190
24347.222.64.0/1947.222.64.1 to 47.222.95.25447.222.95.2558,190
24447.222.96.0/1947.222.96.1 to 47.222.127.25447.222.127.2558,190
24547.222.128.0/1947.222.128.1 to 47.222.159.25447.222.159.2558,190
24647.222.160.0/1947.222.160.1 to 47.222.191.25447.222.191.2558,190
24747.222.192.0/1947.222.192.1 to 47.222.223.25447.222.223.2558,190
24847.222.224.0/1947.222.224.1 to 47.222.255.25447.222.255.2558,190
24947.223.0.0/1947.223.0.1 to 47.223.31.25447.223.31.2558,190
25047.223.32.0/1947.223.32.1 to 47.223.63.25447.223.63.2558,190
25147.223.64.0/1947.223.64.1 to 47.223.95.25447.223.95.2558,190
25247.223.96.0/1947.223.96.1 to 47.223.127.25447.223.127.2558,190
25347.223.128.0/1947.223.128.1 to 47.223.159.25447.223.159.2558,190
25447.223.160.0/1947.223.160.1 to 47.223.191.25447.223.191.2558,190
25547.223.192.0/1947.223.192.1 to 47.223.223.25447.223.223.2558,190
25647.223.224.0/1947.223.224.1 to 47.223.255.25447.223.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses